import { actionFullLogin } from "../actions/actionFullLogin";
import { connect } from "react-redux";
import { useState } from "react";
import { Redirect } from "react-router";

const Log = ({ onLog, LogedIn }) => {
  const [login, setLogin] = useState("");
  const [password, setPassword] = useState("");
  return LogedIn ? (
    <Redirect to ="/"/>
  ) : (
    <>
      <div className="container" >
        <div id="loginbox" style={{ marginTop: "120px"}} className="">
          <div className="" style = {{boxShadow:'0px 5px 10px 2px rgba(34, 60, 80, 0.5)'}}>
            <div className="">
              <div className="">Login</div>
            </div>

            <div style={{ "padding-top": "30px" }} className="">
              <div style={{ display: "none" }} id="" className=""></div>

              <form id="loginform" className="form-horizontal" role="form">
                <div style={{ "margin-bottom": "25px" }} className="input-group">
                  <span className="">
                    <i className=""></i>
                  </span>
                  <input id="login-username" type="text" className="form-control" 
                  		name="username" value={login} placeholder="Login"
                    	onChange={(e) => setLogin(e.target.value) && <Redirect to ="/"/>}	
                  />
                </div>
                <div style={{ "margin-bottom": "25px" }} className="input-group">
                  <span className="">
                    <i className=""></i>
                  </span>
                  <input id="login-password" type="password" className="form-control"
                    name="password" placeholder="Password" value={password}
                 	onChange={(e) => setPassword(e.target.value)}
                  />
                </div>
                <div style={{ "margin-top": "10px" }} className="form-group">
                  <div className="">
                    <a id="btn-login" href="#" className="" onClick={() =>onLog(login, password)}>
                      Sign In
                    </a>
                  </div>
                </div>
                <div className="form-group">
                  <div className="">
                    <div style={{"border-top": "1px solid#888","padding-top": "15px","font-size": "85%",}}>
                      <a href="/registration">Sign Up Here</a>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};

const LogForm = connect((state) => ({ LogedIn: state?.auth?.token }), {
  onLog: actionFullLogin,
})(Log);

export default LogForm